RewriteEngine On
RewriteCond %{HTTP_HOST} ^www.ottawahardwoodinstallation.ca [NC]
RewriteRule ^(.*)$ https://ottawahardwoodinstallation.ca/$1 [L,R=301]

RewriteEngine On
RewriteCond %{HTTPS} off
RewriteRule ^(.*)$ https://%{HTTP_HOST}%{REQUEST_URI} [L,R=301]

RewriteEngine On
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule . /404.html [L]

<IfModule mod_deflate.c>
  # Compress HTML, CSS, JavaScript, Text, XML and fonts
  AddOutputFilterByType DEFLATE application/javascript
  AddOutputFilterByType DEFLATE application/rss+xml
  AddOutputFilterByType DEFLATE application/vnd.ms-fontobject
  AddOutputFilterByType DEFLATE application/x-font
  AddOutputFilterByType DEFLATE application/x-font-opentype
  AddOutputFilterByType DEFLATE application/x-font-otf
  AddOutputFilterByType DEFLATE application/x-font-truetype
  AddOutputFilterByType DEFLATE application/x-font-ttf
  AddOutputFilterByType DEFLATE application/x-javascript
  AddOutputFilterByType DEFLATE application/xhtml+xml
  AddOutputFilterByType DEFLATE application/xml
  AddOutputFilterByType DEFLATE font/opentype
  AddOutputFilterByType DEFLATE font/otf
  AddOutputFilterByType DEFLATE font/ttf
  AddOutputFilterByType DEFLATE image/svg+xml
  AddOutputFilterByType DEFLATE image/x-icon
  AddOutputFilterByType DEFLATE text/css
  AddOutputFilterByType DEFLATE text/html
  AddOutputFilterByType DEFLATE text/javascript
  AddOutputFilterByType DEFLATE text/plain
  AddOutputFilterByType DEFLATE text/xml

  # Remove browser bugs (only needed for really old browsers)
  BrowserMatch ^Mozilla/4 gzip-only-text/html
  BrowserMatch ^Mozilla/4\.0[678] no-gzip
  BrowserMatch \bMSIE !no-gzip !gzip-only-text/html
  Header append Vary User-Agent
</IfModule>
RewriteCond %{HTTP_HOST} ^ottawahardwoodinstallation\.ca$ [OR]
RewriteCond %{HTTP_HOST} ^www\.ottawahardwoodinstallation\.ca$
RewriteRule ^install\-hardwood\-flooring\.html$ "https\:\/\/ottawahardwoodinstallation\.ca\/install\-hardwood\-flooring\-ottawa\.html" [R=301,L]
RewriteCond %{HTTP_HOST} ^ottawahardwoodinstallation\.ca$ [OR]
RewriteCond %{HTTP_HOST} ^www\.ottawahardwoodinstallation\.ca$
RewriteRule ^install\-stairs\-and\-railings\.html$ "https\:\/\/ottawahardwoodinstallation\.ca\/install\-stairs\-and\-railings\-ottawa\.html" [R=301,L]
RewriteCond %{HTTP_HOST} ^ottawahardwoodinstallation\.ca$ [OR]
RewriteCond %{HTTP_HOST} ^www\.ottawahardwoodinstallation\.ca$
RewriteRule ^installers\-near\-me\/install\-cabinetry\-ottawa\.html$ "https\:\/\/ottawahardwoodinstallation\.ca\/install\-cabinetry\-ottawa\.html" [R=301,L]

# php -- BEGIN cPanel-generated handler, do not edit
# Set the “ea-php80” package as the default “PHP” programming language.
<IfModule mime_module>
  AddHandler application/x-httpd-ea-php80 .php .php8 .phtml
</IfModule>
# php -- END cPanel-generated handler, do not edit
